#
# spec file for package fabtests
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           fabtests
Version:        1.4.1
Release:        1.1
Summary:        Test suite for libfabric API
License:        BSD-2-Clause or GPL-2.0
Group:          System Environment/Libraries
Url:            http://www.github.com/ofiwg/fabtests
Source:         https://github.com/ofiwg/fabtests/releases/download/v%{version}/%{name}-%{version}.tar.bz2
BuildRequires:  libfabric-devel
BuildRequires:  libpsm2-compat
BuildRequires:  libpsm_infinipath1
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
#Currently *only* builds on x86_64 as it is dependent on libpsm2
ExclusiveArch:  x86_64
%description
Fabtests provides a set of examples that uses libfabric - a high-performance fabric software library.

%prep
%setup -q

%build
%configure %{?_with_libfabric}
make %{?_smp_mflags}

%install
make %{?_smp_mflags} DESTDIR=%{buildroot} install

%files
%defattr(-,root,root)
%dir %{_datadir}/fabtests/

%{_bindir}/*
%{_mandir}/man7/*
%{_datadir}/fabtests/*

%doc AUTHORS COPYING README

%changelog
* Fri Mar 10 2017 josef.moellers@suse.com
- Updated to version 1.4.1 to keep the sync with libfabric.
  * Convert all error codes to exit status
  * Add a test for memory region operations.
  * fi_rdm_rma: Remove support for FI_CONTEXT
  * Add ubertest configurations for usnic provider.
  * Add a few more tests to fi_getinfo unit test
  * autogen: Fix reference to deleted file
  fate#321883
* Mon May  9 2016 ndas@suse.de
- Updated to version 1.3.0 to keep the sync with libfabric.
  fate#320742 comment #1
* Thu Apr  7 2016 ndas@suse.de
-	Initial Package,  Version 1.2.0 (fate#320742)
